ros-noetic-nodelet (1.11.2-1focal) focal; urgency=high

  * fix un-initialized value (#89 <https://github.com/ros/nodelet_core/issues/89>)
  * Contributors: Jeremie Deray

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 09 May 2025 00:00:00 -0000

ros-noetic-nodelet (1.11.1-1focal) focal; urgency=high

  * Do not subscribe to /clock` from nodelet load (#120 <https://github.com/ros/nodelet_core/issues/120>)
  * Contributors: Martin Pecka

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 13 Nov 2024 00:00:00 -0000

ros-noetic-nodelet (1.11.0-1focal) focal; urgency=high

  * Don't install version.h.in (#113 <https://github.com/ros/nodelet_core/issues/113>)
  * Fix use-after-free when a nodelet throws on initialization (#122 <https://github.com/ros/nodelet_core/issues/122>)
  * Update package maintainers (#114 <https://github.com/ros/nodelet_core/issues/114>)
  * Reduce boost dependency scope (#118 <https://github.com/ros/nodelet_core/issues/118>)
  * Switch to new boost/bind/bind.hpp (#117 <https://github.com/ros/nodelet_core/issues/117>)
  * show warning in every 10 seconds when manager is not found (#115 <https://github.com/ros/nodelet_core/issues/115>)
  * Contributors: Geoffrey Biggs, Hugal31, Jochen Sprickerhof, Shingo Kitagawa, Stephan

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 09 Jan 2024 00:00:00 -0000

ros-noetic-nodelet (1.10.2-1focal) focal; urgency=high

  * add version.h for nodelet (#105 <https://github.com/ros/nodelet_core/issues/105>)
  * Fix missing num_threads call when NODELET_QUEUE_DEBUG (#112 <https://github.com/ros/nodelet_core/issues/112>)
  * Contributors: Matthijs van der Burgh, Shingo Kitagawa

 -- Michael Carroll <michael@openrobotics.org>  Thu, 07 Oct 2021 00:00:00 -0000

ros-noetic-nodelet (1.10.1-1focal) focal; urgency=high

  * removed callback queue pause around onInit() (#107 <https://github.com/ros/nodelet_core/issues/107>)
  * Contributors: Tomáš Báča

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-noetic-nodelet (1.10.0-1focal) focal; urgency=high

  * Update maintainer to Michael Carroll (#104 <https://github.com/ros/nodelet_core/issues/104>)
  * Bump CMake version to avoid CMP0048 warning (#102 <https://github.com/ros/nodelet_core/issues/102>)
  * enable Windows build (#85 <https://github.com/ros/nodelet_core/issues/85>)
  * Fix build issue on Windows (#82 <https://github.com/ros/nodelet_core/issues/82>)
  * delay processing of queues until Nodelet::onInit() returns (#66 <https://github.com/ros/nodelet_core/issues/66>)
  * Contributors: James Xu, Johnson Shih, Michael Carroll, Shane Loretz, Simon Gene Gottlieb

 -- Michael Carroll <michael@openrobotics.org>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-nodelet (1.9.16-1focal) focal; urgency=high

  * uuid dependency fixup (#74 <https://github.com/ros/nodelet_core/issues/74>)
    * don't export uuid library
    * wrap for readability
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 00:00:00 -0000

ros-noetic-nodelet (1.9.15-1focal) focal; urgency=high

  * use new pluginlib headers (#73 <https://github.com/ros/nodelet_core/issues/73>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 16 Mar 2018 00:00:00 -0000

ros-noetic-nodelet (1.9.14-1focal) focal; urgency=high

  * declared_nodelets: continue on missing plugin xml (#70 <https://github.com/ros/nodelet_core/issues/70>)
  * Contributors: Furushchev

 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Nov 2017 00:00:00 -0000

ros-noetic-nodelet (1.9.13-1focal) focal; urgency=high

  * Drop unneeded forward declaration. (#68 <https://github.com/ros/nodelet_core/issues/68>)
  * Contributors: Mike Purvis

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 00:00:00 -0000

ros-noetic-nodelet (1.9.12-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 04 Aug 2017 00:00:00 -0000

ros-noetic-nodelet (1.9.11-1focal) focal; urgency=high

  * Add getRemappingArgs method to nodelet to reuse it in subclass (#61 <https://github.com/ros/nodelet_core/issues/61>)
  * remove trailing whitespaces (#62 <https://github.com/ros/nodelet_core/issues/62>)
  * switch to package format 2 (#63 <https://github.com/ros/nodelet_core/issues/63>)
  * Show pkg and manifest file with verbose option (#59 <https://github.com/ros/nodelet_core/issues/59>)
  * Contributors: Kentaro Wada, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-nodelet (1.9.10-1focal) focal; urgency=high

  * installs the list_nodelets script (#58 <https://github.com/ros/nodelet_core/issues/58>)
    * python3 compatibility
    * pep8
    * install list_nodelets
    * print message with service name
  * return outside of try catch
  * fix unused var warning
  * give node a name, empty node names not supported since https://github.com/ros/ros_comm/commit/bd3af70520648783da8aa4d3610f234a4d2bd41f
  * remove tabs
  * fix help message
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-noetic-nodelet (1.9.9-1focal) focal; urgency=high

  * drop unused dependency on tinyxml (#54 <https://github.com/ros/nodelet_core/pull/54>)
  * Install the declared_nodelets script (#53 <https://github.com/ros/nodelet_core/pull/53>)
  * Contributors: Dmitry Rozhkov, Kentaro Wada

 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Feb 2017 00:00:00 -0000

ros-noetic-nodelet (1.9.8-1focal) focal; urgency=high

  * Fix bond handling during nodelet unloading (#51 <https://github.com/ros/nodelet_core/issues/51>)
    * add test whether bond breaking on unload works (tests #50 <https://github.com/ros/nodelet_core/issues/50>)
    * disable callback for broken bond when we are breaking it
    This avoids the nodelet::LoaderROS::unload() method to be called
    twice for the same nodelet, causing an error output.
    * use AsyncSpinner for nodelet load in order for the shutdown procedure to work
    During shutdown, the bonds still need to communicate their status in order
    for the nodelet to properly/cleanly/quickly unload. This requires the node
    to spin.
    * add test whether LoaderROS::unload() is called twice (tests #50 <https://github.com/ros/nodelet_core/issues/50>)
  * Contributors: Daniel Seifert

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Nov 2016 00:00:00 -0000

ros-noetic-nodelet (1.9.7-1focal) focal; urgency=high

  * Use rospkg instead of roslib in declared_nodelets
    Close https://github.com/ros/nodelet_core/issues/48
  * Contributors: Kentaro Wada

 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-noetic-nodelet (1.9.6-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 20 Sep 2016 00:00:00 -0000

ros-noetic-nodelet (1.9.5-1focal) focal; urgency=high

  * more sane debugging messages
  * Contributors: Daniel Stonier

 -- Michael Carroll <michael@openrobotics.org>  Wed, 22 Jun 2016 00:00:00 -0000

ros-noetic-nodelet (1.9.4-1focal) focal; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 00:00:00 -0000

ros-noetic-nodelet (1.9.3-1focal) focal; urgency=high

  * adding support for named nodelet loggers
  * nodelet loader: display error messages from both load attempts on failure
  * Contributors: Max Schwarz, Tully Foote

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Aug 2015 00:00:00 -0000

ros-noetic-nodelet (1.9.2-1focal) focal; urgency=high

  * Fix dependency version
  * Contributors: Esteve Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 00:00:00 -0000

ros-noetic-nodelet (1.9.1-1focal) focal; urgency=high

  * Use FindUUID.cmake from cmake-modules to find the UUID libraries
  * nodelet: Loader: do not call impl->refresh_classes_ if not available
  * Contributors: Esteve Fernandez, Max Schwarz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 Oct 2014 00:00:00 -0000

ros-noetic-nodelet (1.9.0-1focal) focal; urgency=high

  * Fix initialization error handling (#13 <https://github.com/ros/nodelet_core/issues/13>)
  * Contributors: Esteve Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Mon, 16 Jun 2014 00:00:00 -0000

ros-noetic-nodelet (1.8.3-1focal) focal; urgency=high

  * Add version to pluginlib dependency
  * nodelet: avoid breaking bond when unloading unknown nodelet
  * nodelet: refresh list of available classes if class is not found
  * Fixed missing header
  * Correctly check that there are enough arguments when nodelet is launched with the unload command
  * Exit if Loader::load returns failure in "standalone" mode instead of continuing to run
  * Contributors: Dirk Thomas, Esteve Fernandez, Forrest Voight, Gary Servin, Marcus Liebhardt, Mitchell Wills
  * fix missing header (#14 <https://github.com/ros/nodelet_core/issues/14>)
  * fix check that there are enough arguments when nodelet is launched with the unload command (#12 <https://github.com/ros/nodelet_core/issues/12>)
  * exit if Loader::load returns failure in "standalone" mode instead of continuing to run (#11 <https://github.com/ros/nodelet_core/issues/11>)

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-noetic-nodelet (1.8.2-1focal) focal; urgency=high

  * fix erasing bond when it breaks (#8 <https://github.com/ros/nodelet_core/issues/8>)

 -- Michael Carroll <michael@openrobotics.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-noetic-nodelet (1.8.0-1focal) focal; urgency=high

  * add missing archive/library/runtime destination for library
  * Export pluginlib as a transitive dependency
    Also remove some old Apple specific rules which
    are no longer required.
  * use EXPORTED_TARGETS variable instead of explicit target names
  * update email in package.xml

 -- Michael Carroll <michael@openrobotics.org>  Thu, 11 Jul 2013 00:00:00 -0000

ros-noetic-nodelet (1.7.15-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 Mar 2013 00:00:00 -0000

ros-noetic-nodelet (1.7.14-1focal) focal; urgency=high

  * add missing link library uuid (fix #4 <https://github.com/ros/nodelet_core/issues/4>)

 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-noetic-nodelet (1.7.13-1focal) focal; urgency=high

  * move nodelet_topic_tools to separate package, fix unit tests

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.12-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 19 Dec 2012 01:34:00 -0000

ros-noetic-nodelet (1.7.11-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 19 Dec 2012 00:58:00 -0000

ros-noetic-nodelet (1.7.10-1focal) focal; urgency=high

  * add missing dep to catkin

 -- Michael Carroll <michael@openrobotics.org>  Fri, 14 Dec 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.9-1focal) focal; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.8-1focal) focal; urgency=high

  * updated catkin_package(DEPENDS)

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.7-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 01 Nov 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.6-1focal) focal; urgency=high

  * fix catkin function order
  * clean up package.xml files

 -- Michael Carroll <michael@openrobotics.org>  Tue, 30 Oct 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.5-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 23 Oct 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.4-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 08 Oct 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 04 Oct 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 03 Oct 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.1-1focal) focal; urgency=high

  * adding nodelet_core metapackage and reving to 1.7.1

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 00:00:00 -0000

ros-noetic-nodelet (1.7.0-1focal) focal; urgency=high

  * fix dependencies
  * make it compile locally
  * first pass at catkinizing the stack
  * updated to latest pluginlib
  * updated usage of pluginlib according to updated REP 121
  * use updated pluginlib to auto-unload libraries when unloading nodelets
  * fixed issue #5144 <https://github.com/ros/nodelet_core/issues/5144> on OS X lion
  * Commentary on who owns what among Loader, Nodelet, CallbackQueue and CallbackQueueManager.
  * Moved most of Loader's member variables into an opaque PIMPL struct so we can change things without breaking ABI.
  * All bond code moved to LoaderROS. Loader no longer needs to know about bond.
  * Removed CallbackQueue::disable(). Loader removes a nodelet's queues from the queue manager when unloading it, which is sufficient to prevent new callbacks for that nodelet getting added.
  * Removed some code and comments concerned with callbacks getting called after their nodelet's destruction. This can't actually happen anymore, since callbacks only fire if they can lock a weak_ptr to their parent nodelet.
  * Refactoring to streamline Nodelet back down to a simple plugin interface. It no longer knows about detail::CallbackQueue[Manager] or Bond; init() simply takes the single- and multi-threaded ros::CallbackQueueInterface* instead (defaulting to NULL). Loader owns the callback queues and bond for each nodelet. This makes it possible to use Nodelet without all the surrounding infrastructure.
  * Take Bond pointers as const-ref instead of value in Loader and Nodelet.
  * Added Loader constructor taking a boost::function object used as a factory for
    nodelet instances, replacing the default use of a pluginlib class loader. This
    is to support ROSGUI, which defines its specialized plugin interface as a
    subclass of Nodelet, and thus needs a different class loader.
  * Removed some debug code in Loader constructor.
  * 'nodelet load' more reliably unloads the nodelet on exiting. In particular it intercepts XML-RPC shutdown command, used for example by 'rosnode kill'.
  * Enabled error output when service calls fail abnormally.
  * Rewrote tracked_object logic to be clearer.
  * Have detail::CallbackQueue use a ros::VoidConstWPtr as the tracked object, which is now optional. More generic, and fixes test_nodelet which was broken by the last commit.
  * Fixed race conditions/deadlocks when unloading a nodelet. Now disable the nodelet's callback queues before deleting it. The queues have a WPtr to the nodelet, so any outstanding callbacks will get discarded.
  * ~Loader now stops callback manager threads before destroying the nodelets. Otherwise the worker threads could operate on nodelet data as/after it's destroyed.
  * Use ros::names::parentNamespace().
  * Cleaned scoped_ptr's out of ThreadInfo and updated its padding.
  * Made ThreadInfo::calling an atomic_count. This allows the manager thread to pick the queue with least work more accurately, and reduces contention b/c getSmallestQueue no longer needs to lock on ``queue_mutex_``.
  * Minor code cleanup and finer locking in managerThread().
  * Actually pad ThreadInfo to a multiple of 64 bytes. Previous expression was wrongly wrapped in sizeof().
  * Instead of ``thread_info_``.resize(num_threads), push each ThreadInfo on individually. With resize(), all threads ended up sharing the same queue_mutex and queue_cond. Doesn't seem to be much of a performance win though.
  * Added test instrumentation to CallbackQueueManager to track size of worker thread queues over time. Must be enabled at compilation time with -DNODELET_QUEUE_DEBUG.
  * nodelet patches for osx lion support from wjwwood
  * Added --no-bond option to nodelet loading to disable bonds.
  * updated platform tags
  * don't need to link against tinyxml directly
  * link against system tinyxml
  * Fix for #4855 <https://github.com/ros/nodelet_core/issues/4855>
    This fix actually makes sense, but that it wasn't caught earlier
    doesn't.  The construction of
    nodelet::Loader n(false)
    was creating the first node handle and letting it go out of scope,
    which was automagically calling ros::shutdown(), which is a dumb thing
    for ros::NodeHandle to do automagically on destruction.
  * Each nodelet now places its bonds on a custom callback queue
  * a script to list declared nodelets
  * real fix for #4460 <https://github.com/ros/nodelet_core/issues/4460>
  * patch for #4460 <https://github.com/ros/nodelet_core/issues/4460>
  * adding support for once, throttle, and filter features.  With unit tests for all but the filters #4681 <https://github.com/ros/nodelet_core/issues/4681>
  * fix for #4609 <https://github.com/ros/nodelet_core/issues/4609>
  * MUX simplified by using a 8-connected null filters
    DeMUX has a specialization for message type (uses ros::Subscriber internally by default)
    Added rosdep for nodelet (uuid)
  * adding optional namespace aware constructor to nodelet loader. #4243 <https://github.com/ros/nodelet_core/issues/4243> and fixing vestigial comments referencing Filters #4221 <https://github.com/ros/nodelet_core/issues/4221>
  * nodelet uses bond to handle crashes on the manager or the spawner end.  #4221 <https://github.com/ros/nodelet_core/issues/4221>
  * locking in all cases
  * fix hang on CallbackQueueManager destruction (#4402 <https://github.com/ros/nodelet_core/issues/4402>)
  * better check for services
  * fix hanging tests and a hang on nodelet CallbackQueueManager destruction (#4082 <https://github.com/ros/nodelet_core/issues/4082>)
  * added a boost mutex
  * preventing nodelets from busywaiting
  * Added optional parameter num_worker_threads to nodelets.
  * Added Ubuntu platform tags to manifest
  * implemented nodelet unloading on shutdown
  * fixed a segfault on destroy
  * merging josh's branch from ticket #3875 <https://github.com/ros/nodelet_core/issues/3875>
  * adding usage
  * fancy new command line parsing for nodelets #3876 <https://github.com/ros/nodelet_core/issues/3876>
  * moving topic tools out of nodelet proper, removing rospy and message_filters dependencies from nodelet
  * doc updates
  * fixed a segfault
  * small changes (ptr->boost shared_ptr)
  * init guard
  * making nodehandles pointers to avoid default constructors
  * switching mt_spinner to be a pointer created on init so it's not trying to create a nodehandle at construction
  * cleanup
  * switching to cpp command based nodelet implementation as per API review
  * changes as per API review
  * enforcing unique name in manager
  * supporting argv passing on server side
  * getname return type for API review
  * adding MT Nodehandle creation methods and fixing up tutorials
  * passing parameters
  * we're always going to spin
  * added my_args in the service call
  * some changes as we discuss them during the API review
  * cleaning up private and public api elements
  * nodelet_internal_init is now private and a friend of NodeletLoader
  * nodelet API changes
  * COND rosconsole Nodelet wrappers working
  * adding multithreaded callback queue
  * removing unnecessary code after refactor
  * adding NODELET rosconsole wrappers, note init method is now void args
  * moving nodelet package into common trunk so I don't lose it in reorganization

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 00:00:00 -0000


